{ lib, ...}: {
  imports = [
    # Base configs
    ./base.nix

    # Import users and groups
    ./users/jimbo.nix
    ./users/groups.nix

    # Desktop only
    ./desktop/misc.nix
    ./desktop/sway.nix
    ./desktop/greetd-sway.nix
    ./desktop/printing.nix
    ./desktop/pipewire.nix
    ./desktop/bluetooth.nix
    ./desktop/firewall.nix
    ./desktop/fonts.nix
    ./desktop/qt.nix

    # Laptop/Portable only
    ./hardware/wireless.nix

    # Modules
    ./modules/security.nix
    ./modules/legacy.nix

    # Hardware
    ./hardware/machines/pinebook.nix
    ./hardware/extlinux.nix
    ./hardware/opengl.nix

    # Services
    ./services/openssh.nix
    ./services/udev.nix
    ./services/mpd.nix
  ];

  # Disable 32 bit graphics
  hardware.opengl.driSupport32Bit = lib.mkForce false;

  # Set hostname
  networking.hostName = "JimPine";

  # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
  system.stateVersion = "24.05";
}
